<?php
session_start();
require("../../database/dbConection.php");

$opcaoEdicao        = $_POST['opcaoEdicao'];
$idReferenciaPrazo  = $_POST['idReferenciaPrazo'];
$dataNovaPrazo      = $_POST['dataNovaPrazo'];

switch($opcaoEdicao){
  case "solicitacao":
    $stmAtualizaPrazo = $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET dataprazo_retirada='$dataNovaPrazo' WHERE id_solicitacao='$idReferenciaPrazo'");
    $stmAtualizaPrazo->execute();
    $stmAtualizaPrazo->closeCursor();

    $stmAtualizaPrazo = $rsConexao->prepare("UPDATE reg_tb_agendamentos SET dataprazo_retirada='$dataNovaPrazo' WHERE id_solicitacao='$idReferenciaPrazo'");
    $stmAtualizaPrazo->execute();
    $stmAtualizaPrazo->closeCursor();
  break;
  
  case "agendamento-avulso":
    $stmAtualizaPrazo = $rsConexao->prepare("UPDATE reg_tb_agendamentos SET dataprazo_retirada='$dataNovaPrazo' WHERE id_agendamento='$idReferenciaPrazo'");
    $stmAtualizaPrazo->execute();
    $stmAtualizaPrazo->closeCursor();  
  break;
}
?>